Update a spec's properties

View as Markdown
Updates an API specification's properties, such as its name.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

specIdstringRequired
The spec's ID.

Request

This endpoint expects an object.
namestringRequired
The spec's name.

Response

Spec Updated
idstringOptional
The specification's ID.
typeenumOptional
The type of API specification.
createdByintegerOptional
The ID of the user that created the specification.
updatedByintegerOptional
The ID of the user that last updated the specification.
createdAtdatetimeOptional
The date and time at which the specification was created.
updatedAtdatetimeOptional
The date and time at which the specification was last updated.
namestringOptional
The API specification's name.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error